#!/bin/sh

BINDIR=$HOME/bin

CFSBASE=projects/cfs

CFSDIR=$HOME/$CFSBASE

PROJFILE=.project_file.prj

if ! [ -f $CFSDIR/bashrc_cfs ]; then
	co bashrc_cfs
fi

. $CFSDIR/bashrc_cfs


cd $CFSDIR

cd 
if ! [ -d  bin  ]; then
	mkdir bin
fi

cd $CFSDIR/repository

/usr/bin/co CO
cp CO ~/bin
/usr/bin/co checkout
cp checkout ~/bin

for directory in . datastore utility repository; do

	cd $CFSDIR/$directory

	co $PROJFILE

	# checkout

	for file in `sed -n "s/\[INCLUDE\] //p" $PROJFILE` ; do


		if ! [ -f $BINDIR/$file ]; then
			co $file
			mv $file $BINDIR
		fi
	done

	for file in `sed -n "s/\[LOCAL\] //p" $PROJFILE` ; do


		if ! [ -f $file ]; then
			if [ -f RCS/$file,v ] ; then

				co $file
			fi
		fi

	done


done


if [ -w $HOME/.bashrc ]; then

	line=`grep bashrc_cfs $HOME/.bashrc`

	result=`echo $line | sed -n "s/^\.//p" $HOME/.bashrc`

	if [ -z "$result" ]; then
		echo ". $CFSDIR/bashrc_cfs" >> $HOME/.bashrc 
	fi	
fi



echo "Install: `incarnation`` date `" >> $CFSDIR/var/log/install.log
